database_api.list_witness_votes
Purpose
Retourne une liste de votes pour les witness (witness vote). Paramètres : start:array ; limit:int ; order:string
startdépend deorder(voir ci-dessous)limitest limité à 1000.orderpeut être l'un des suivants :by_account_witness- tri par paire compte-witnessstartest un tableau de deux valeurs :account,witness
by_witness_account- tri par paire witness-comptestartest un tableau de deux valeurs :witness,account
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["", ""] | 10 | "by_withdraw_route" | Interroge les 10 premiers votes, tri par paire compte-witness | | ["", ""] | 10 | "by_destination" | Interroge les 10 premiers votes, tri par paire witness-compte |
Voir aussi : Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_witness_votes",
"params": {
"start": [
"",
""
],
"limit": 10,
"order": "by_account_witness"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_witness_votes",
"params": {
"start": [
"",
""
],
"limit": 10,
"order": "by_witness_account"
},
"id": 1
}'Response
RESPONSE
json
{
"votes": [
{
"id": 428961,
"witness": "aggroed",
"account": "a-0magic"
}
]
}